
e TB Manager Bangladesh - Bug #971

Error when saving a new notification

11/26/2013 11:45 AM - Ricardo Memoria

Status: Closed Start date: 11/26/2013

Priority: Normal Due date:  

Assignee: Luis Gustavo do Valle Bastos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Version 2.1 Spent time: 0.00 hour

Description

The following error has been reported from the production environment (www.etbmanagerdb.org) by e-mail:

org.jboss.seam.RequiredException 

@In attribute requires non-null value: caseBDHome.caseHome 

org.jboss.seam.RequiredException: @In attribute requires non-null value: caseBDHome.caseHome 

at org.jboss.seam.Component.getValueToInject(Component.java:2361) 

at org.jboss.seam.Component.injectAttributes(Component.java:1739) 

at org.jboss.seam.Component.inject(Component.java:1557) 

at org.jboss.seam.core.BijectionInterceptor.aroundInvoke(BijectionInterceptor.java:61) 

at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) 

at org.jboss.seam.transaction.TransactionInterceptor$1.work(TransactionInterceptor.java:97) 

at org.jboss.seam.util.Work.workInTransaction(Work.java:61) 

at org.jboss.seam.transaction.TransactionInterceptor.aroundInvoke(TransactionInterceptor.java:91) 

 

This error is rose when a new notification is posted.

History

#1 - 11/26/2013 11:48 AM - Ricardo Memoria

Fixed.

The error could be replicated like that:

1. Start a new notification;

2. Fill all required fields;

3. Double-click on the "Save" button (double-clicking will send two requests to the server);

4. The first request is executed, but the second raises an error;

Solution:

Implemented JS in the save button, so when clicking on it, it's disabled (using the save approach as in use in the generic version)

#2 - 11/26/2013 11:48 AM - Ricardo Memoria

- Status changed from New to Resolved

#3 - 12/11/2013 08:00 AM - Ricardo Memoria

- Assignee changed from Ricardo Memoria to Luis Gustavo do Valle Bastos
#4 - 12/27/2013 05:23 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Tested and adequate.
